<CsoundSynthesizer>

<CsOptions>
-W -o PhISEM_Bamboo.wav 
</CsOptions>

<CsScore>

i1 	0 	2 	100 0.2 1.25 75 0.3 400 500 600  	0.5139 	
;; Since it is played using the instrument number set in the CsInstrumentToPlay section, an auto score building program
;; can recognise these as test notes, rather than initialisation type notes, and leave them out
;

</CsScore>

<CsInstrumentToPlay>
i1 AMP 0.2 1.25 75 0.3 CPS CPS*11/14 CPS*33.6/28 
; Amplitude, Duration, number of objects, damping factor range (percent), energy to feed back range 0 to 1, main resonant frequency, first resonant frequency, second resonant frequency - Amplitude is randomised
</CsInstrumentToPlay>

<CsInstruments>
instr 1  

kamp = p4/4
idettack = p5 ;period of time over which all sound is stopped 
inum = p6 ; The number of beads, teeth, bells, timbrels, etc. If zero, the default value is 1.25. 
idamp = p7*0.05/100 ; the damping factor range 0 to 0.05
imaxshake = p8 ; amount of energy to add back into the system. The value should be in range 0 to 1
ifreq = p9 ; the main resonant frequency. The default value is 2800
ifreq1 = p10 ; the first resonant frequency. The default value is 2240. 
ifreq2 = p11 ; the second resonant frequency. The default value is 3360

ar bamboo kamp, idettack , inum , idamp , imaxshake , ifreq, ifreq1, ifreq2

out ar
endin
</CsInstruments>

</CsoundSynthesizer>
